Register note attachment

POST /api/v1/notes/{note_id}/attachments

Register a new attachment for a note after successful S3 upload.

Operation ID: create_attachment_api_v1_notes__note_id__attachments_post · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

note_id string required

Request body

file_name string required
file_size integer required
mime_type string required
s3_key string required

Responses

201 Successful Response

id string required
note_id string required
file_name string required
file_size integer required
mime_type string required
uploaded_by string required
created_at string · date-time required

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object